<%@ page import = "java.util.ArrayList" %>
<%@ page import = "com.uoc.footballteam.util.FootballTeam" %>
<%@ page import = "com.uoc.footballteam.presentation.EntrenamentsActions" %>
<%@ page import = "com.uoc.footballteam.integration.DEntrenaments" %>
<%@ page import = "java.text.SimpleDateFormat" %>

<%@ page session = "true"%>

<%! ArrayList<DEntrenaments> entrenaments = null; %>
<%! HttpSession session = null;%>

<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">

<script language="JavaScript">
function esborrar(desti, idEntrenament){
	if (confirm("Est segur de voler esborrar l'entrenament amb identificador '" + idEntrenament + "'?")){
		location.replace(desti);
	}
}

function modificar(desti){
	location.replace(desti);
}

function detall(desti){
	location.replace(desti);
}

function jugadors(desti){
	location.replace(desti);
}
</script>

<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
		<link rel="stylesheet" type="text/css" href="css/main.css">
		<title>FootballTeam - Llistat d'entrenaments</title>
	</head>
	<body>
		<table class="titleDiv">
			<tr>
				<td>
					Llistat d'entrenaments
				</td>
			</tr>
		</table>
		<%	
			int elements;
			String idEntrenament		= null;
			String nom					= null;
			String descripcio			= null;
			String instruccions			= null;
			int sessions;
			String duradaHores;
			String duradaMinuts;
			SimpleDateFormat sdf		= null;
			DEntrenaments entrenament	= null;
			String value				= null;
			String destiDetall			= null;
			String destiEsborrar		= null;
			String destiModificar		= null;
			String destiJugadors		= null;
			
			session = request.getSession();
			entrenaments = (ArrayList<DEntrenaments>) session.getAttribute(FootballTeam.PARAM_LLISTA_ENTRENAMENTS);
			if (entrenaments != null && entrenaments.size() > 0){
				elements = entrenaments.size();
		%>
		<br><br>
		<table class="borderAll">
			<tr>
				<th>Identificador</th>
				<th>Nom</th>
				<th>Nmero sessions</th>
				<th>Duraci</th>
				<th></th>
				<th></th>
			</tr>
			<%
				for (int i = 0; i < elements; i++){
					entrenament = entrenaments.get(i);
					idEntrenament = entrenament.getIdEntrenament();
					nom = entrenament.getNom();
					descripcio = entrenament.getDescripcio();
					if (descripcio == null){
						descripcio = "";
					}
					instruccions = entrenament.getInstruccions();
					if (instruccions == null){
						instruccions = "";
					}
					sessions = entrenament.getSessions();
					
					sdf = new SimpleDateFormat("HH:mm");
					value = sdf.format(entrenament.getDurada());
					duradaHores = value.substring(0, 2);
					duradaMinuts = value.substring(3, 5);
					
					destiDetall = FootballTeam.HEAD_HTTP + FootballTeam.NOM_SERVIDOR + ":" + FootballTeam.PORT_HTTP + FootballTeam.CONTEXT;
					destiDetall += FootballTeam.SERVLET_FRONT_CONTROLLER + "?" + FootballTeam.PARAM_COMMAND + "=" + FootballTeam.SERVLET_ENTRENAMENTS;
					destiEsborrar = destiDetall;
					destiModificar = destiDetall;
					destiJugadors = destiDetall;
					
					destiDetall += "&" + FootballTeam.PARAM_ACTION + "=" + EntrenamentsActions.CONSULTA_ENTRENAMENT.getAccio();
					destiDetall += "&" + FootballTeam.PARAM_ELEMENT + "=" + entrenament.getIdEntrenament();
					
					destiEsborrar += "&" + FootballTeam.PARAM_ACTION + "=" + EntrenamentsActions.BAIXA_ENTRENAMENT.getAccio();
					destiEsborrar += "&" + FootballTeam.PARAM_ELEMENT + "=" + idEntrenament;
					
					destiModificar += "&" + FootballTeam.PARAM_ACTION + "=" + EntrenamentsActions.ACTUALITZA_ENTRENAMENT_IN.getAccio();
					destiModificar += "&" + FootballTeam.PARAM_ELEMENT + "=" + idEntrenament;
					
					destiJugadors += "&" + FootballTeam.PARAM_ACTION + "=" + EntrenamentsActions.LLISTA_JUGADORSENTRENAMENT.getAccio();
					destiJugadors += "&" + FootballTeam.PARAM_ELEMENT + "=" + idEntrenament;
			%>
			<tr>
				<td><%= idEntrenament %></td>
				<td><%= nom %></td>
				<td><%= sessions %></td>
				<td><%= duradaHores %> h i <%= duradaMinuts %> m</td>
				<td align = "center">
					<input class="butStnd" type="button" name="btnDetall" value="<%= FootballTeam.MSG_BTN_DETALL %>" onClick="detall('<%=response.encodeURL(destiDetall)%>')">
				</td>
				<td align = "center">
					<input class="butStnd" type="button" name="btnEsborrar" value="<%= FootballTeam.MSG_BTN_ESBORRAR %>" onClick="esborrar('<%=response.encodeURL(destiEsborrar)%>', '<%= idEntrenament %>')">
				</td>
				<td align = "center">
					<input class="butStnd" type="button" name="btnModificar" value="<%= FootballTeam.MSG_BTN_MODIFICAR %>" onClick="modificar('<%=response.encodeURL(destiModificar)%>')">
				</td>
				<td align = "center">
					<input class="butStnd" type="button" name="btnJugadors" value="<%= FootballTeam.MSG_BTN_JUGADORS %>" onClick="jugadors('<%=response.encodeURL(destiJugadors)%>')">
				</td>
			</tr>
			<%
				}
			%>
		</table>
		<%
			}
		%>
		<br><br>
		<table>
			<tr>
				<td>
					<a href="/FootballTeam/index.html">[Inici]
				</td>
				<td>
					<a href="/FootballTeam/FootballTeam?command=EntrenamentsServlet&action=AltaEntrenamentIn">[Nou entrenament]
				</td>
			</tr>
		</table>
	</body>
</html>