<%@ page import = "java.util.ArrayList" %>
<%@ page import = "com.uoc.footballteam.integration.DJugadors" %>
<%@ page import = "com.uoc.footballteam.integration.DEntrenaments" %>
<%@ page import = "com.uoc.footballteam.util.FootballTeam" %>
<%@ page import = "com.uoc.footballteam.presentation.JugadorsActions" %>
<%@ page import = "java.text.SimpleDateFormat" %>

<%@ page session = "true"%>

<%! ArrayList<DJugadors> equips = null; %>
<%! HttpSession session = null;%>

<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">

<script language="JavaScript">
function incloure(desti){
	location.replace(desti);
}

function treure(desti){
	location.replace(desti);
}

</script>

<html>
	<%
		try{
			DJugadors jugador								= null;
			ArrayList<DEntrenaments> entrenamentsNoJugador	= null;
			String destiTreure								= null;
			String destiIncloure							= null;
			String nom										= null;
			String cognom1									= null;
			String cognom2									= null;
			String nomComplet								= null;
			String nomEnt									= null;
			String descripcio								= null;
			int sessions;
			String duradaHores								= null;
			String duradaMinuts								= null;
			String value									= null;
			
			session = request.getSession();
			jugador = (DJugadors) session.getAttribute(FootballTeam.PARAM_JUGADOR);
			entrenamentsNoJugador = (ArrayList<DEntrenaments>) session.getAttribute(FootballTeam.PARAM_LLISTA_ENTRENAMENTS);
			
			nom = jugador.getNom();
			if (nom == null){
				nom = "";
			}
			cognom1 = jugador.getCognom1();
			if (cognom1 == null){
				cognom1 = "";
			}
			cognom2 = jugador.getCognom2();
			if (cognom2 == null){
				cognom2 = "";
			}
			nomComplet = nom + " " + cognom1 + " " + cognom2;
		%>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
		<link rel="stylesheet" type="text/css" href="css/main.css">
		<title>FootballTeam - Entrenaments del jugador <%= nomComplet %></title>
	</head>
	<body>
		
		<table class="titleDiv">
			<tr>
				<td>
					Llistat d'entrenaments del jugador <%= nomComplet %>
				</td>
			</tr>
		</table>
		<%
			if (jugador != null && jugador.getEntrenaments() != null && jugador.getEntrenaments().size() > 0){
		%>
		<br>
		<table>
			<tr>
				<td>
					<i>Fer click sobre el bot [Finalitzar] per a finalitzar l'entrenament del jugador.<i>
				</td>
			</tr>
		</table>
		<br><br>
		<table class="borderAll">
			<tr>
				<th>Identificador</th>
				<th>Nom</th>
				<th>Descripci</th>
				<th>Sessions</th>
				<th>Durada</th>
				<th></th>
			</tr>
			<%
				for (DEntrenaments entrenament: jugador.getEntrenaments()){
					destiTreure = FootballTeam.HEAD_HTTP + FootballTeam.NOM_SERVIDOR + ":" + FootballTeam.PORT_HTTP + FootballTeam.CONTEXT;
					destiTreure += FootballTeam.SERVLET_FRONT_CONTROLLER + "?" + FootballTeam.PARAM_COMMAND + "=" + FootballTeam.SERVLET_JUGADORS;
					destiTreure += "&" + FootballTeam.PARAM_ACTION + "=" + JugadorsActions.FINALITZA_ENTRENAMENT.getAccio();
					destiTreure += "&" + FootballTeam.PARAM_ELEMENT + "=" + entrenament.getIdEntrenament();
					
					nomEnt = entrenament.getNom();
					if (nomEnt == null){
						nomEnt = "";
					}
					
					descripcio = entrenament.getDescripcio();
					if (descripcio == null){
						descripcio = "";
					}
					
					sessions = entrenament.getSessions();
					
					if (entrenament.getDurada() != null){
						value = String.valueOf(entrenament.getDurada());
						duradaHores = value.substring(0, 2);
						duradaMinuts = value.substring(3, 5);
						
					}
					else{
						duradaHores = "0";
						duradaMinuts = "0";
					}
			%>
			<tr>
				<td>
					<%= entrenament.getIdEntrenament() %>
				</td>
				<td>
					<%= nomEnt %>
				</td>
				<td>
					<%= descripcio %>
				</td>
				<td>
					<%= sessions %>
				</td>
				<td>
					<%= duradaHores %> h i <%= duradaMinuts %> m
				</td>
				<td align="center">
					<input class="butStnd" type="button" name="btnFinalitzar" value="<%= FootballTeam.MSG_BTN_FINALITZAR %>" onClick="treure('<%=response.encodeURL(destiTreure)%>')">
				</td>
			</tr>
			<%
				}
			%>
		</table>
		<%
			}
		%>
		<br><br><br><br>
		<%
			if (entrenamentsNoJugador != null && entrenamentsNoJugador.size() > 0){
		%>
		<table class="titleDiv">
			<tr>
				<td>
					Entrenaments que no est seguint el jugador <%= nomComplet %>
				</td>
			</tr>
		</table>
		<br>
		<table>
			<tr>
				<td>
					<i>Fer click sobre el bot [Iniciar] perqu el jugador inici l'entrenament.</i>
				</td>
			</tr>
		</table>
		<br>
		<table class="borderAll">
			<tr>
				<th>Identificador</th>
				<th>Nom</th>
				<th>Descripci</th>
				<th>Sessions</th>
				<th>Durada</th>
				<th></th>
			</tr>
			<%		
			for (DEntrenaments entrenament: entrenamentsNoJugador){
				destiIncloure = FootballTeam.HEAD_HTTP + FootballTeam.NOM_SERVIDOR + ":" + FootballTeam.PORT_HTTP + FootballTeam.CONTEXT;
				destiIncloure += FootballTeam.SERVLET_FRONT_CONTROLLER + "?" + FootballTeam.PARAM_COMMAND + "=" + FootballTeam.SERVLET_JUGADORS;
				destiIncloure += "&" + FootballTeam.PARAM_ACTION + "=" + JugadorsActions.INICIA_ENTRENAMENT.getAccio();
				destiIncloure += "&" + FootballTeam.PARAM_ELEMENT + "=" + entrenament.getIdEntrenament();
				
				nomEnt = entrenament.getNom();
				if (nomEnt == null){
					nomEnt = "";
				}
				
				descripcio = entrenament.getDescripcio();
				if (descripcio == null){
					descripcio = "";
				}
				
				sessions = entrenament.getSessions();
				
				if (entrenament.getDurada() != null){
					value = String.valueOf(entrenament.getDurada());
					duradaHores = value.substring(0, 2);
					duradaMinuts = value.substring(3, 5);
					
				}
				else{
					duradaHores = "0";
					duradaMinuts = "0";
				}
			%>
			<tr>
				<td>
					<%= entrenament.getIdEntrenament() %>
				</td>
				<td>
					<%= nomEnt %>
				</td>
				<td>
					<%= descripcio %>
				</td>
				<td>
					<%= sessions %>
				</td>
				<td>
					<%= duradaHores %> h i <%= duradaMinuts %> m
				</td>
				<td align="center">
					<input class="butStnd" type="button" name="btnIniciar" value="<%= FootballTeam.MSG_BTN_INICIAR %>" onClick="incloure('<%=response.encodeURL(destiIncloure)%>')">
				</td>
			</tr>
		<%
				}
			}
		%>
		</table>
		<br><br>
		<table>
			<tr>
				<td>
					<a href="/FootballTeam/index.html">[Inici]
				</td>
				<td>
					<a href="/FootballTeam/FootballTeam?command=JugadorsServlet&action=LlistaJugadors">[Llistat jugadors]
				</td>
			</tr>
		</table>
	</body>
	<%
		}
		catch (Exception e){
			e.printStackTrace();
		}
	%>
</html>