package com.uoc.myframeuoc.querymanagement;

/**
 * Aquest <code>Enum</code> serveix per a emmagatzemar els tipus de sentncies ALTER TABLE que
 * hi ha:
 * <br><br>
 * <li>
 * {@link com.uoc.myframeuoc.querymanagement.AlterTableType#ADD ADD}
 * </li>
 * <li>
 * {@link com.uoc.myframeuoc.querymanagement.AlterTableType#DROP DROP}
 * </li>
 * <br><br>
 * @author Jordi Garcia Casanova
 *
 */
public enum AlterTableType {
	/**
	 * La sentncia ALTER TABLE afegir les restriccions a la taula.
	 */
	ADD,
	/**
	 * La sentncia ALTER TABLE treur les restriccions de la taula.
	 */
	DROP,
}
