package test.environment;

import org.junit.runner.RunWith;
import org.junit.runners.Suite;
import org.junit.runners.Suite.SuiteClasses;

import test.environment.configuration.SuiteConfiguration;
import test.environment.insert.SuiteInsert;
import test.environment.read.SuiteRead;
import test.environment.transaction.SuiteTransaction;
import test.environment.uocql.SuiteUOCQL;
import test.environment.update.SuiteUpdate;
import test.environment.delete.SuiteDelete;


@RunWith(Suite.class)
@SuiteClasses(value =
	{
		SuiteConfiguration.class,
		SuiteInsert.class,
		SuiteRead.class,
		SuiteUpdate.class,
		SuiteDelete.class,
		SuiteTransaction.class,
		SuiteUOCQL.class
	}
)
public class SuiteEnvironment {

}
