package test.environment.delete;

import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Date;
import java.sql.Time;

import com.uoc.myframeuoc.annotations.*;

@Entity(Table = "Taula0001")
public class Entitat0001 {
	@PrimaryKey(Name = "PK_Taula0001", Field = "camp1")
	private int atribut1;

	@Column(Field = "camp2")
	private String atribut2;
	
	@Column(Field = "camp3")
	private char atribut3;
	
	@Column(Field = "camp4")
	private Character atribut4;
	
	@Column(Field = "camp5", Length = "100")
	private char[] atribut5;
	
	@Column(Field = "camp6")
	private int atribut6;
	
	@Column(Field = "camp7")
	private Integer atribut7;
	
	@Column(Field = "camp8")
	private float atribut8;
	
	@Column(Field = "camp9")
	private Float atribut9;
	
	@Column(Field = "camp10")
	private double atribut10;
	
	@Column(Field = "camp11")
	private Double atribut11;
	
	@Column(Field = "camp12", Precision = "15", Scale = "4")
	private BigDecimal atribut12;
	
	@Column(Field = "camp13")
	private Date atribut13;
	
	@Column(Field = "camp14")
	private byte atribut14;
	
	@Column(Field = "camp15")
	private Byte atribut15;
	
	@Column(Field = "camp16")
	private short atribut16;
	
	@Column(Field = "camp17")
	private Short atribut17;
	
	@Column(Field = "camp18")
	private long atribut18;
	
	@Column(Field = "camp19")
	private Long atribut19;
	
	@Column(Field = "camp20")
	private boolean atribut20;
	
	@Column(Field = "camp21")
	private Boolean atribut21;
	
	@Column(Field = "camp22")
	private Time atribut22;
	
	@Column(Field = "camp23", Precision = "50")
	private BigInteger atribut23;
	
	
	//Getters i setters.
	public int getAtribut1() {
		return atribut1;
	}

	public String getAtribut2() {
		return atribut2;
	}

	public void setAtribut2(String atribut2) {
		this.atribut2 = atribut2;
	}

	public char getAtribut3() {
		return atribut3;
	}

	public void setAtribut3(char atribut3) {
		this.atribut3 = atribut3;
	}

	public Character getAtribut4() {
		return atribut4;
	}

	public void setAtribut4(Character atribut4) {
		this.atribut4 = atribut4;
	}

	public char[] getAtribut5() {
		return atribut5;
	}

	public void setAtribut5(char[] atribut5) {
		this.atribut5 = atribut5;
	}

	public int getAtribut6() {
		return atribut6;
	}

	public void setAtribut6(int atribut6) {
		this.atribut6 = atribut6;
	}

	public Integer getAtribut7() {
		return atribut7;
	}

	public void setAtribut7(Integer atribut7) {
		this.atribut7 = atribut7;
	}

	public float getAtribut8() {
		return atribut8;
	}

	public void setAtribut8(float atribut8) {
		this.atribut8 = atribut8;
	}

	public void setAtribut1(int atribut1) {
		this.atribut1 = atribut1;
	}

	public Float getAtribut9() {
		return atribut9;
	}

	public void setAtribut9(Float atribut9) {
		this.atribut9 = atribut9;
	}

	public double getAtribut10() {
		return atribut10;
	}

	public void setAtribut10(double atribut10) {
		this.atribut10 = atribut10;
	}

	public Double getAtribut11() {
		return atribut11;
	}

	public void setAtribut11(Double atribut11) {
		this.atribut11 = atribut11;
	}

	public BigDecimal getAtribut12() {
		return atribut12;
	}

	public void setAtribut12(BigDecimal atribut12) {
		this.atribut12 = atribut12;
	}

	public Date getAtribut13() {
		return atribut13;
	}

	public void setAtribut13(Date atribut13) {
		this.atribut13 = atribut13;
	}

	public byte getAtribut14() {
		return atribut14;
	}

	public void setAtribut14(byte atribut14) {
		this.atribut14 = atribut14;
	}

	public Byte getAtribut15() {
		return atribut15;
	}

	public void setAtribut15(Byte atribut15) {
		this.atribut15 = atribut15;
	}

	public short getAtribut16() {
		return atribut16;
	}

	public void setAtribut16(short atribut16) {
		this.atribut16 = atribut16;
	}

	public Short getAtribut17() {
		return atribut17;
	}

	public void setAtribut17(Short atribut17) {
		this.atribut17 = atribut17;
	}

	public long getAtribut18() {
		return atribut18;
	}

	public void setAtribut18(long atribut18) {
		this.atribut18 = atribut18;
	}

	public Long getAtribut19() {
		return atribut19;
	}

	public void setAtribut19(Long atribut19) {
		this.atribut19 = atribut19;
	}

	public boolean getAtribut20() {
		return atribut20;
	}

	public void setAtribut20(boolean atribut20) {
		this.atribut20 = atribut20;
	}

	public Boolean getAtribut21() {
		return atribut21;
	}

	public void setAtribut21(Boolean atribut21) {
		this.atribut21 = atribut21;
	}

	public Time getAtribut22() {
		return atribut22;
	}

	public void setAtribut22(Time atribut22) {
		this.atribut22 = atribut22;
	}

	public BigInteger getAtribut23() {
		return atribut23;
	}

	public void setAtribut23(BigInteger atribut23) {
		this.atribut23 = atribut23;
	}	
}