package test.mapping;

import org.junit.runner.RunWith;
import org.junit.runners.Suite;
import org.junit.runners.Suite.SuiteClasses;

import test.mapping.foreignkey.SuiteForeignKey;
import test.mapping.manytomany.SuiteManyToMany;
import test.mapping.onetomany.SuiteOneToMany;
import test.mapping.onetoone.SuiteOneToOne;
import test.mapping.primarykey.SuitePrimaryKey;

@RunWith(Suite.class)
@SuiteClasses(value =
	{
		SuitePrimaryKey.class,
		SuiteForeignKey.class,
		SuiteOneToOne.class,
		SuiteOneToMany.class,
		SuiteManyToMany.class
	}
)
public class SuiteMapping {

}