package test.mapping.foreignkey;

import com.uoc.myframeuoc.annotations.*;

@Entity(Table = "Taula0009A")
public class Entitat0009A {

	@PrimaryKey(Name = "PK_Taula0009A", Field = "camp1A")
	private int atribut1A;
	
	@Column(Field = "camp2A")
	private String atribut2A;
	
	@ForeignKey(Name = "FK1_Taula0009A", Fields = "camp3A-atribut1B,camp4A-atribut2B")
	private Entitat0009B atribut3A;

	public int getAtribut1A() {
		return atribut1A;
	}

	public void setAtribut1A(int atribut1a) {
		atribut1A = atribut1a;
	}

	public String getAtribut2A() {
		return atribut2A;
	}

	public void setAtribut2A(String atribut2a) {
		atribut2A = atribut2a;
	}

	public Entitat0009B getAtribut3A() {
		return atribut3A;
	}

	public void setAtribut3A(Entitat0009B atribut3a) {
		atribut3A = atribut3a;
	}
}

