package test.mapping.foreignkey;

import com.uoc.myframeuoc.annotations.*;

@Entity(Table = "Taula4B")
public class Entitat4B {
	@PrimaryKey(Name = "PK_Taula4B", Field = "camp1B")
	private int atribut1B;
	
	@Column(Field = "camp2B", Length = "40")
	private String atribut2B;	
	
	@ForeignKey(Name = "FK1_Taula4B", Fields = "a-atribut1A")
	private Entitat4A atribut3B;
	
	@ForeignKey(Name = "FK2_Taula4B", Fields = "c-atribut1C")
	private Entitat4C atribut4B;

	public int getAtribut1B() {
		return atribut1B;
	}

	public void setAtribut1B(int atribut1b) {
		atribut1B = atribut1b;
	}

	public String getAtribut2B() {
		return atribut2B;
	}

	public void setAtribut2B(String atribut2b) {
		atribut2B = atribut2b;
	}

	public Entitat4A getAtribut3B() {
		return atribut3B;
	}

	public void setAtribut3B(Entitat4A atribut3b) {
		atribut3B = atribut3b;
	}

	public Entitat4C getAtribut4B() {
		return atribut4B;
	}

	public void setAtribut4B(Entitat4C atribut4b) {
		atribut4B = atribut4b;
	}
}
