package test.mapping.foreignkey;

import com.uoc.myframeuoc.annotations.*;

@Entity(Table = "Taula4D")
public class Entitat4D {
	@PrimaryKey(Name = "PK_Taula4D", Field = "camp1D")
	private int atribut1D;
	
	@Column(Field = "camp2D", Length = "40")
	private String atribut2D;
	
	@ForeignKey(Name = "FK1_Taula4D", Fields = "b-atribut1B")
	private Entitat4B atribut3D;

	public int getAtribut1D() {
		return atribut1D;
	}

	public void setAtribut1D(int atribut1d) {
		atribut1D = atribut1d;
	}

	public String getAtribut2D() {
		return atribut2D;
	}

	public void setAtribut2D(String atribut2d) {
		atribut2D = atribut2d;
	}

	public Entitat4B getAtribut3D() {
		return atribut3D;
	}

	public void setAtribut3D(Entitat4B atribut3d) {
		atribut3D = atribut3d;
	}
}
