package test.mapping.foreignkey;

import com.uoc.myframeuoc.annotations.*;

@Entity(Table = "Taula4F")
public class Entitat4F {
	@PrimaryKey(Name = "PK_Taula4F", Field = "camp1F")
	private int atribut1F;
	
	@Column(Field = "camp2F", Length = "40")
	private String atribut2F;
	
	@ForeignKey(Name = "FK1_Taula4F", Fields = "e-atribut1E")
	private Entitat4E atribut3F;

	@ForeignKey(Name = "FK2_Taula4F", Fields = "c-atribut1C")
	private Entitat4C atribut4F;
	
	@ForeignKey(Name = "FK3_Taula4F", Fields = "d-atribut1D")
	private Entitat4D atribut5F;

	public int getAtribut1F() {
		return atribut1F;
	}

	public void setAtribut1F(int atribut1f) {
		atribut1F = atribut1f;
	}

	public String getAtribut2F() {
		return atribut2F;
	}

	public void setAtribut2F(String atribut2f) {
		atribut2F = atribut2f;
	}

	public Entitat4E getAtribut3F() {
		return atribut3F;
	}

	public void setAtribut3F(Entitat4E atribut3f) {
		atribut3F = atribut3f;
	}

	public Entitat4C getAtribut4F() {
		return atribut4F;
	}

	public void setAtribut4F(Entitat4C atribut4f) {
		atribut4F = atribut4f;
	}

	public Entitat4D getAtribut5F() {
		return atribut5F;
	}

	public void setAtribut5F(Entitat4D atribut5f) {
		atribut5F = atribut5f;
	}
}
