package test.mapping.onetomany;

import java.util.ArrayList;

import com.uoc.myframeuoc.annotations.*;

@Entity(Table = "Taula0002A")
public class Entitat0002A {
	@PrimaryKey(Name = "PK_Taula0002A", Field = "camp1A")
	private int atribut1A;
	
	@Column(Field = "camp2A")
	private String atribut2A;
	
	@OneToMany(Table = "Taula0002AB", NameFK_To = "FK1_Taula0002AB", NameFK_From = "FK2_Taula0002AB", Fields_To = "b-atribut1B", Fields_From = "a-atribut1A")
	private ArrayList<Entitat0002B> atribut3A;

	public int getAtribut1A() {
		return atribut1A;
	}

	public void setAtribut1A(int atribut1a) {
		atribut1A = atribut1a;
	}

	public String getAtribut2A() {
		return atribut2A;
	}

	public void setAtribut2A(String atribut2a) {
		atribut2A = atribut2a;
	}

	public ArrayList<Entitat0002B> getAtribut3A() {
		return atribut3A;
	}

	public void setAtribut3A(ArrayList<Entitat0002B> atribut3a) {
		atribut3A = atribut3a;
	}
}
