package test.mapping.onetoone;

import com.uoc.myframeuoc.annotations.*;

@Entity(Table = "TaulaA")
public class EntitatA {
	
	@PrimaryKey(Name = "PK_TaulaA", Field = "camp1A")
	private int atribut1A;
	
	@Column(Field = "camp2A")
	private String atribut2A;

	@OneToOne(Table = "TaulaAB", NameFK_To = "FK_TaulaB", NameFK_From = "FK_TaulaA", Fields_To = "b-atribut1B", Fields_From = "a-atribut1A")
	private EntitatB atribut3A;

	public int getAtribut1A() {
		return atribut1A;
	}

	public void setAtribut1A(int atribut1a) {
		atribut1A = atribut1a;
	}

	public String getAtribut2A() {
		return atribut2A;
	}

	public void setAtribut2A(String atribut2a) {
		atribut2A = atribut2a;
	}

	public EntitatB getAtribut3A() {
		return atribut3A;
	}

	public void setAtribut3A(EntitatB atribut3a) {
		atribut3A = atribut3a;
	}
}
