package com.uoc.footballteam.presentation;

import java.rmi.RemoteException;
import javax.ejb.CreateException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * Interfcie que especifica la firma dels mtodes que han d'implementar els <i>Commands</i>.
 *
 */
public interface Command 
{
	public String execute (HttpServlet servlet, HttpServletRequest req, HttpServletResponse resp)
		throws RemoteException, CreateException;
}
