<%@ page import = "com.uoc.footballteam.util.FootballTeam"%>
<%@ page import = "com.uoc.footballteam.presentation.EntrenamentProperties"%>
<%@ page import = "com.uoc.footballteam.presentation.EntrenamentsActions"%>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<HTML>
<HEAD>
	<TITLE>FootballTeam - Nou entrenament</TITLE>
	<META http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
	<link rel="stylesheet" type="text/css" href="css/main.css">
</HEAD>

<script language="JavaScript">
function validarForm(){
	var valid = false;
	
	if (validarIdentificador() && validarNom() && validarDescripcio() && validarInstruccions() && validarSessions() && validarHores() && validarMinuts()){
		valid = true;
	}
	
	return (valid);
}

function validarIdentificador(){
	var id		= document.forms[0].<%= EntrenamentProperties.idEntrenament.name() %>;
	var sValue 	= id.value;
	var valid	= false;
	
	
	if (sValue != null){
		if (sValue.length > 0){
				valid = true;
		}
		else{
			alert("<%= FootballTeam.MSG_ID_ENTRENAMENT_OBLIGATORI %>");
		}
	}
	else{
		alert("<%= FootballTeam.MSG_ID_ENTRENAMENT_OBLIGATORI %>");	
	}
	
	if (!valid){
		id.focus();
	}
	
	return (valid);
}

function validarNom(){
	var nom		= document.forms[0].<%= EntrenamentProperties.nom.name() %>;
	var sValue	= nom.value;
	var valid	= false;
	
	if (sValue != null){
		if (sValue.length > 0){
			valid = true;
		}
	}
	
	if (!valid){
		alert("<%= FootballTeam.MSG_NOM_ENTRENAMENT_OBLIGATORI %>");
		nom.focus();
	}
	return (valid);
}

function validarSessions(){
	var sessions	= document.forms[0].<%= EntrenamentProperties.sessions.name() %>;
	var sValue		= sessions.value;
	var valid		= false;
	
	if (sValue != null){
		if (esNumero(sValue)){
			valid = true;
		}
		else{
			alert("<%= FootballTeam.MSG_SESSIONS_INCORRECTE %>");
			sessions.value = '';
			sessions.focus();
		}
	}
	
	return (valid);
}

function validarHores(){
	var hores 	= document.forms[0].<%= EntrenamentProperties.duradaHores.name() %>;
	var sValue	= hores.value;
	var valid	= false;
	
	if (esNumero(sValue)){
		if (sValue >= 0 && sValue <= 23){
			valid = true;
		}
	}
	
	if (!valid){
		alert("<%= FootballTeam.MSG_HORES_INCORRECTE %>");
		hores.value = '';
		hores.focus();
	}
	
	return (valid);
}

function validarMinuts(){
	var minuts 	= document.forms[0].<%= EntrenamentProperties.duradaMinuts.name() %>;
	var sValue	= minuts.value;
	var valid	= false;
	
	if (esNumero(sValue)){
		if (sValue >= 0 && sValue <= 59){
			valid = true;
		}
	}
	
	if (!valid){
		alert("<%= FootballTeam.MSG_MINUTS_INCORRECTE %>");
		hores.value = '';
		hores.focus();
	}
	
	return (valid);
}

function validarInstruccions(){
	var instruccions	= document.forms[0].<%= EntrenamentProperties.instruccions.name() %>;
	var sValue			= instruccions.value;
	var valid			= false;
	
	if (sValue != null){
		if (sValue.length < 3000){
			valid = true;
		}
		else{
			alert("<%= FootballTeam.MSG_INSTRUCCIONS_INCORRECTE %>");
			instruccions.focus();
		}
	}
	return (valid);
}

function validarDescripcio(){
	var descripcio	= document.forms[0].<%= EntrenamentProperties.descripcio.name() %>;
	var sValue		= descripcio.value;
	var valid		= false;
	
	if (sValue != null){
		if (sValue.length < 1000){
			valid = true;
		}
		else{
			alert("<%= FootballTeam.MSG_DESCRIPCIO_INCORRECTE %>");
			descripcio.focus();
		}
	}
	return (valid);
}

function esNumero(numero){
	 if (/^([0-9])*$/.test(numero)){
		return (true);
	}
	else{
		return (false);
	}
}

function validarCanvis(){
	var valid = false;
	if (confirm("No s'ha donat d'alta cap entrenament. Est segur que vol continuar?")){
		valid = true;
	}
	return (valid);
}
</script>

<body>
	<table class="titleDiv">
		<tr>
			<td>
				Nou entrenament
			</td>
		</tr>
	</table>
	<br><br>
	<%
		try{
			String url			= null;
			String command		= null;
			String action		= null;
			
			command = "EntrenamentsServlet";
			action = EntrenamentsActions.ALTA_ENTRENAMENT_SAVE.getAccio();
			url = FootballTeam.SERVLET_FRONT_CONTROLLER + "?" + FootballTeam.PARAM_COMMAND + "=" + command;
			url += "&" + FootballTeam.PARAM_ACTION + "=" + action;
			%>
			<form action="<%= response.encodeURL(url) %>" method="POST" onsubmit="return validarForm()">
			<table class="borderAll">
				<tr>
					<td class="tdLabel">Identificador:</td>
					<td>
						<input type="text" name="<%= EntrenamentProperties.idEntrenament.name() %>" maxlength="10" size="10" onChange="return validarIdentificador()">
					</td>
				</tr>
				
				<tr>
					<td class="tdLabel">Nom:</td>
					<td>
						<input type="text" name="<%= EntrenamentProperties.nom.name() %>" maxlength="40" size="40" onChange="return validarNom()">
					</td>
				</tr>
				<tr>
					<td class="tdLabel">Descripci:</td>
					<td>
						<textarea name="<%= EntrenamentProperties.descripcio.name() %>" rows="10" cols="100" onkeypress="return validarDescripcio()" onchange="return validarDescripcio()"></textarea>
					</td>
				</tr>
				
				<tr>
					<td class="tdLabel">Instruccions:</td>
					<td>
						<textarea name="<%= EntrenamentProperties.instruccions.name() %>" rows="10" cols="100" onkeypress="return validarInstruccions()" onchange="return validarInstruccions()"></textarea>
					</td>
				</tr>
				<tr>
					<td class="tdLabel">Nmero de sessions:</td>
					<td>
						<input type="text" name="<%= EntrenamentProperties.sessions %>" maxlength="3" size="3" onChange="return validarSessions()">
					</td>
				</tr>
				<tr>
					<td class="tdLabel">Durada de cada sessi:</td>
					<td>
						<input type="text" name="<%= EntrenamentProperties.duradaHores %>" maxlength="2" size="2" onChange="return validarHores()"> hores i
						<input type="text" name="<%= EntrenamentProperties.duradaMinuts %>" maxlength="2" size="2" onChange="return validarMinuts()"> minuts
						
					</td>
				</tr>
				<tr>
					<td colspan="2" align="center">
						<br>
						<input class="butStnd" type="submit" value="<%= FootballTeam.MSG_BTN_DESAR %>">
					</td>
				</tr>
			</table>
			</form>	
			
			<table>
				<tr>
					<td>
						<a href="/FootballTeam/index.html" onClick="return validarCanvis()" onClick="return validarCanvis()">[Inici]
					</td>
					<td>
						<a href="/FootballTeam/FootballTeam?command=EntrenamentsServlet&action=LlistaEntrenaments" onClick="return validarCanvis()">[Llistat entrenaments]
					</td>
				</tr>
				
			<table>
		<%
		}
		catch (Exception e)
		{
			e.printStackTrace();
		}
		%>			
</body>
</html>