<%@ page import = "com.uoc.footballteam.util.FootballTeam"%>
<%@ page import = "com.uoc.footballteam.presentation.EquipProperties"%>
<%@ page import = "com.uoc.footballteam.presentation.EquipsActions"%>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<HTML>
<HEAD>
	<TITLE>FootballTeam - Nou equip</TITLE>
	<META http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
	<link rel="stylesheet" type="text/css" href="css/main.css">
</HEAD>

<script language="JavaScript">
function validarForm(){
	var valid = false;
	
	if (validarIdentificador() && validarNomEquip() && validarPressupostSencer() && validarPressupostDecimal()){
		valid = true;
	}
	
	return (valid);
}

function validarIdentificador(){
	var id	= document.forms[0].<%= EquipProperties.idEquip.name() %>;
	var sValue = id.value;
	var valid	= false;
	
	
	if (sValue != null){
		if (sValue.length > 0){
			if (esNumero(sValue)){
				valid = true;
			}
			else{
				alert("<%= FootballTeam.MSG_ID_EQUIP_INCORRECTE %>");
				id.value = '';	
			}
		}
		else{
			alert("<%= FootballTeam.MSG_ID_EQUIP_OBLIGATORI %>");
		}
	}
	else{
		alert("<%= FootballTeam.MSG_ID_EQUIP_OBLIGATORI %>");	
	}
	
	if (!valid){
		id.focus();
	}
	
	return (valid);
}

function validarNomEquip(){
	var nomEquip = document.forms[0].<%= EquipProperties.nom.name() %>;
	var sValue = nomEquip.value;
	var valid = false;
	
	if (sValue != null){
		if (sValue.length > 0){
			valid = true;
		}
	}
	
	if (!valid){
		alert("<%= FootballTeam.MSG_NOM_EQUIP_OBLIGATORI %>");
		nomEquip.focus();
	}
	return (valid);
}

function validarPressupostSencer(){
	var pressupostSencer	= document.forms[0].<%= EquipProperties.pressupostSencer.name() %>;
	var sValue				= pressupostSencer.value;
	var valid				= false;
	
	if (esNumero(sValue)){
		valid = true;
	}
	
	if (!valid){
		alert("<%= FootballTeam.MSG_PRESSUPOST_INCORRECTE %>");
		pressupostSencer.value = '';
		pressupostSencer.focus();
	}
	return (valid);
}

function validarPressupostDecimal(){
	var pressupostDecimal	= document.forms[0].<%= EquipProperties.pressupostDecimal.name() %>;
	var sValue				= pressupostDecimal.value;
	var valid				= false;
	
	if (esNumero(sValue)){
		valid = true;
	}
	
	if (!valid){
		alert("<%= FootballTeam.MSG_PRESSUPOST_INCORRECTE %>");
		pressupostDecimal.value = '';
		pressupostDecimal.focus();
	}
	return (valid);
}

function esNumero(numero){
	 if (/^([0-9])*$/.test(numero)){
		return (true);
	}
	else{
		return (false);
	}
}

function validarCanvis(){
	var valid = false;
	if (confirm("No s'ha donat d'alta cap equip. Est segur que vol continuar?")){
		valid = true;
	}
	return (valid);
}


</script>

<body>
	<table class="titleDiv">
		<tr>
			<td>
				Nou equip
			</td>
		</tr>
	</table>
	<br><br>
	<%
		try{
			String url			= null;
			String command		= null;
			String action		= null;
			
			command = "EquipsServlet";
			action = EquipsActions.ALTA_EQUIP_SAVE.getAccio();
			url = FootballTeam.SERVLET_FRONT_CONTROLLER + "?" + FootballTeam.PARAM_COMMAND + "=" + command;
			url += "&" + FootballTeam.PARAM_ACTION + "=" + action;
			%>
			<form action="<%= response.encodeURL(url) %>" method="POST" onsubmit="return validarForm()">
			<table class="borderAll">
				<tr>
					<td class="tdLabel">Identificador:</td>
					<td>
						<input type="text" name="<%= EquipProperties.idEquip.name() %>" maxlength="3" size="3" onChange="return validarIdentificador()">
					</td>
				</tr>
				
				<tr>
					<td class="tdLabel">Nom:</td>
					<td>
						<input type="text" name="<%= EquipProperties.nom.name() %>" maxlength="50" size="50">
					</td>
				</tr>
				
				<tr>
					<td class="tdLabel">Estadi:</td>
					<td>
						<input type="text" name="<%= EquipProperties.estadi.name() %>" maxlength="50" size="50">
					</td>
				</tr>
				<tr>
					<td class="tdLabel">Pressupost:</td>
					<td>
						<input type="text" name="<%= EquipProperties.pressupostSencer.name() %>" maxlength="18" size="18" onChange="return validarPressupostSencer()">.
						<input type="text" name="<%= EquipProperties.pressupostDecimal.name() %>" maxlength="2" size="2" onChange="return validarPressupostDecimal()"> euros
					</td>
				</tr>
				
				<tr>
					<td colspan="2" align="center">
						<br>
						<input class="butStnd" type="submit" value="<%= FootballTeam.MSG_BTN_DESAR %>">
					</td>
				</tr>
			</table>
			</form>	
			
			<table>
				<tr>
					<td>
						<a href="/FootballTeam/index.html" onClick="return validarCanvis()" onClick="return validarCanvis()">[Inici]
					</td>
					<td>
						<a href="/FootballTeam/FootballTeam?command=EquipsServlet&action=LlistaEquips" onClick="return validarCanvis()">[Llistat equips]
					</td>
				</tr>
				
			<table>
		<%
		}
		catch (Exception e)
		{
			e.printStackTrace();
		}
		%>
			
</body>

</html>