<%@ page import = "java.util.ArrayList" %>
<%@ page import = "com.uoc.footballteam.integration.DEquips" %>
<%@ page import = "com.uoc.footballteam.util.FootballTeam" %>
<%@ page import = "com.uoc.footballteam.presentation.EquipsActions" %>
<%@ page session = "true"%>

<%! ArrayList<DEquips> equips = null; %>
<%! HttpSession session = null;%>

<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">

<script language="JavaScript">
function esborrar(desti, idEquip){
	if (confirm("Est segur de voler esborrar l'equip amb identificador '" + idEquip + "'?")){
		location.replace(desti);
	}
}

function modificar(desti){
	location.replace(desti);
}

function veureJugadors(desti){
	location.replace(desti);
}
</script>

<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
		<link rel="stylesheet" type="text/css" href="css/main.css">
		<title>FootballTeam - Llistat d'equips</title>
	</head>
	<body>
		<table class="titleDiv">
			<tr>
				<td>
					Llistat d'equips
				</td>
			</tr>
		</table>
		<br><br>
		<%
			try{
				String destiEsborrar	= null;
				String destiModificar	= null;
				String destiJugadors	= null;
				int elements;
				DEquips equip		= null;
				String nom			= null;
				String estadi		= null;
				String pressupost	= null;
				
				session = request.getSession();
				equips = (ArrayList<DEquips>) session.getAttribute(FootballTeam.PARAM_LLISTA_EQUIPS);
				if (equips != null && equips.size() > 0){
					elements = equips.size();	
		%>
		<table class="borderAll">
			<tr>
				<th>Identificador</th>
				<th>Nom</th>
				<th>Estadi</th>
				<th>Pressupost</th>
				<th></th>
				<th></th>
				<th></th>
			</tr>
			<%
					for (int i = 0; i < elements; i++){
						equip = equips.get(i);
						destiEsborrar = FootballTeam.HEAD_HTTP + FootballTeam.NOM_SERVIDOR + ":" + FootballTeam.PORT_HTTP + FootballTeam.CONTEXT;
						destiEsborrar += FootballTeam.SERVLET_FRONT_CONTROLLER + "?" + FootballTeam.PARAM_COMMAND + "=" + FootballTeam.SERVLET_EQUIPS;
						destiModificar = destiEsborrar;
						destiJugadors = destiEsborrar;
						
						destiEsborrar += "&" + FootballTeam.PARAM_ACTION + "=" + EquipsActions.BAIXA_EQUIP.getAccio();
						destiEsborrar += "&" + FootballTeam.PARAM_ELEMENT + "=" + i;
						
						destiModificar += "&" + FootballTeam.PARAM_ACTION + "=" + EquipsActions.ACTUALITZA_EQUIP_IN.getAccio();
						destiModificar += "&" + FootballTeam.PARAM_ELEMENT + "=" + i;
						
						destiJugadors += "&" + FootballTeam.PARAM_ACTION + "=" + EquipsActions.LLISTA_JUGADORSEQUIP.getAccio();
						destiJugadors += "&" + FootballTeam.PARAM_ELEMENT + "=" + equip.getIdEquip();
						
						nom = equip.getNom();
						if (nom == null){
							nom = "";
						}
						estadi = equip.getEstadi();
						if (estadi == null){
							estadi = "";
						}
						if (equip.getPressupost() != null){
							pressupost = String.valueOf(equip.getPressupost());
						}
						else{
							pressupost = "";
						}
						
			%>	
			<tr>
				<td><%= equip.getIdEquip() %></td>
				<td><%= nom %></td>
				<td><%= estadi %></td>
				<td><%= pressupost %></td>
				<td align = "center">
					<input class="butStnd" type="button" name="btnEsborrar" value="<%= FootballTeam.MSG_BTN_ESBORRAR %>" onClick="esborrar('<%=response.encodeURL(destiEsborrar)%>', '<%= equip.getIdEquip() %>')">
				</td>
				<td align = "center">
					<input class="butStnd" type="button" name="btnModificar" value="<%= FootballTeam.MSG_BTN_MODIFICAR %>" onClick="modificar('<%=response.encodeURL(destiModificar)%>')">
				</td>
				<td align = "center">
					<input class="butStnd" type="button" name="btnJugadors" value="<%= FootballTeam.MSG_BTN_JUGADORS %>" onClick="veureJugadors('<%=response.encodeURL(destiJugadors)%>')">
				</td>
			</tr>		
			<%
					}
				}
			%>
		</table>
		<br><br>
		<table>
			<tr>
				<td>
					<a href="/FootballTeam/index.html">[Inici]
				</td>
				<td>
					<a href="/FootballTeam/FootballTeam?command=EquipsServlet&action=AltaEquipIn">[Nou equip]
				</td>
			</tr>
		</table>
		<%
				}
			catch (Exception e){
				e.printStackTrace();
			}
		%>
	</body>
</html>