<%@ page import = "java.util.ArrayList" %>
<%@ page import = "java.text.SimpleDateFormat" %>
<%@ page import = "com.uoc.footballteam.util.FootballTeam" %>
<%@ page import = "com.uoc.footballteam.integration.DJugadors" %>
<%@ page import = "com.uoc.footballteam.presentation.JugadorsActions" %>

<%@ page session = "true"%>

<%! ArrayList<DJugadors> jugadors = null; %>
<%! HttpSession session = null;%>

<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">

<script language="JavaScript">
function esborrar(desti, DNI){
	if (confirm("Est segur de voler esborrar el jugador amb DNI '" + DNI + "'?")){
		location.replace(desti);
	}
}

function modificar(desti){
	location.replace(desti);
}

function entrenaments(desti){
	location.replace(desti);
}

</script>

<html>
	<head>
		<title>FootballTeam - Llistat de jugadors</title>
		<META http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
		<link rel="stylesheet" type="text/css" href="css/main.css">
	</head>

	<body>
		<table class="titleDiv">
			<tr>
				<td>
					Llistat de jugadors
				</td>
			</tr>
		</table>
		<br><br>
		<%
			try{
				String nom				= null;
				String cognoms			= "";
				String cognom1			= null;
				String cognom2			= null;
				String pais				= null;
				String dataNaix			= null;
				SimpleDateFormat sdf	= null;
				String edat				= null;
				String demarcacio		= null;
				String sou				= null;
				String destiEsborrar	= null;
				String destiModificar	= null;
				String destiEnt			= null;
				int elements;
				DJugadors jugador		= null;
				
				session = request.getSession();
				jugadors = (ArrayList<DJugadors>) session.getAttribute(FootballTeam.PARAM_LLISTA_JUGADORS);
				if (jugadors != null && jugadors.size() > 0){
					elements = jugadors.size();
		%>
		<table class="borderAll">
			<tr>
				<th>DNI</th>
				<th>Nom</th>
				<th>Cognoms</th>
				<th>Pas</th>
				<th>Data de naixament</th>
				<th>Edat</th>
				<th>Demarcaci</th>
				<th>Sou (euros/any)</th>
				<th></th>
				<th></th>
			</tr>	
		<%	
					for (int i = 0; i < elements; i++){
						jugador = jugadors.get(i);
						destiEsborrar = FootballTeam.HEAD_HTTP + FootballTeam.NOM_SERVIDOR + ":" + FootballTeam.PORT_HTTP + FootballTeam.CONTEXT;
						destiEsborrar += FootballTeam.SERVLET_FRONT_CONTROLLER + "?" + FootballTeam.PARAM_COMMAND + "=" + FootballTeam.SERVLET_JUGADORS;
						
						destiModificar = destiEsborrar;
						destiEnt = destiEsborrar;
						
						destiEsborrar += "&" + FootballTeam.PARAM_ACTION + "=" + JugadorsActions.BAIXA_JUGADOR.getAccio();
						destiEsborrar += "&" + FootballTeam.PARAM_ELEMENT + "=" + i;
						
						destiModificar += "&" + FootballTeam.PARAM_ACTION + "=" + JugadorsActions.ACTUALITZA_JUGADOR_IN.getAccio();
						destiModificar += "&" + FootballTeam.PARAM_ELEMENT + "=" + i;
						
						destiEnt += "&" + FootballTeam.PARAM_ACTION + "=" + JugadorsActions.LLISTA_ENTRENAMENTSJUGADOR.getAccio();
						destiEnt += "&" + FootballTeam.PARAM_ELEMENT + "=" + String.valueOf(jugador.getDNI());
						
						nom = jugador.getNom();
						cognom1 = jugador.getCognom1();
						cognom2 = jugador.getCognom2();
						if (nom == null){
							nom = "";
						}
						cognoms = "";
						if (cognom1 != null){
							cognoms = cognom1;
						}
						if (cognom2 != null){
							cognoms += " " + cognom2;
						}
						if (jugador.getDataNaixement() != null){
							sdf = new SimpleDateFormat("dd/MM/yyyy");
							dataNaix = sdf.format(jugador.getDataNaixement());
						}
						else{
							dataNaix = "";
						}
						
						pais = jugador.getPais();
						if (pais == null){
							pais = "";
						}
						
						if (jugador.getEdat() == 0){
							edat = "";
						}
						else{
							edat = String.valueOf(jugador.getEdat());
						}
						
						demarcacio = jugador.getDemarcacio();
						if (demarcacio == null){
							demarcacio = "";
						}
						
						if (jugador.getSou() == null){
							sou = "";
						}
						else{
							sou = String.valueOf(jugador.getSou());
						}
						
		%>
			<tr>
				<td><%= jugador.getDNI() %></td>
				<td><%= nom %></td>
				<td><%= cognoms %></td>
				<td><%= pais %></td>
				<td><%= dataNaix %></td>
				<td><%= edat %></td>
				<td><%= demarcacio %></td>
				<td><%= sou %></td>
				<td align = "center">
					<input class="butStnd" type="button" name="btnEsborrar" value="<%= FootballTeam.MSG_BTN_ESBORRAR %>" onClick="esborrar('<%=response.encodeURL(destiEsborrar)%>', '<%= jugador.getDNI() %>')">
				</td>
				<td align = "center">
					<input class="butStnd" type="button" name="btnModificar" value="<%= FootballTeam.MSG_BTN_MODIFICAR %>" onClick="modificar('<%=response.encodeURL(destiModificar)%>')">
				</td>
				<td align = "center">
					<input class="butStnd" type="button" name="btnEntrenaments" value="<%= FootballTeam.MSG_BTN_ENTRENAMENTS%>" onClick="entrenaments('<%=response.encodeURL(destiEnt)%>')">
				</td>
			</tr>			
		<%			}
				}
		%>
		</table>
		<br><br>
		<table>
			<tr>
				<td>
					<a href="/FootballTeam/index.html">[Inici]
				</td>
				<td>
					<a href="/FootballTeam/FootballTeam?command=JugadorsServlet&action=AltaJugadorIn">[Nou jugador]
				</td>
			</tr>
		</table>
		<%
			}
		catch (Exception e){
			e.printStackTrace();
		}
		%>
	</body>
</html>