<%@ page import = "com.uoc.footballteam.util.FootballTeam"%>
<%@ page import = "com.uoc.footballteam.presentation.EquipProperties"%>
<%@ page import = "com.uoc.footballteam.presentation.EquipsActions"%>
<%@ page import = "com.uoc.footballteam.integration.DEquips" %>

<%@ page session = "true"%>

<%! HttpSession session = null;%>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<HTML>
<HEAD>
	<TITLE>FootballTeam - Modificaci equip</TITLE>
	<META http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
	<link rel="stylesheet" type="text/css" href="css/main.css">
</HEAD>

<script language="JavaScript">
function validarForm(){
	var valid = false;
	
	if (validarNomEquip() && validarPressupostSencer() && validarPressupostDecimal()){
		valid = true;
	}
	
	return (valid);
}

function validarNomEquip(){
	var nomEquip = document.forms[0].<%= EquipProperties.nom.name() %>;
	var sValue = nomEquip.value;
	var valid = false;
	
	if (sValue != null){
		if (sValue.length > 0){
			valid = true;
		}
	}
	
	if (!valid){
		alert("<%= FootballTeam.MSG_NOM_EQUIP_OBLIGATORI %>");
		nomEquip.focus();
	}
	return (valid);
}

function validarPressupostSencer(){
	var pressupostSencer	= document.forms[0].<%= EquipProperties.pressupostSencer.name() %>;
	var sValue				= pressupostSencer.value;
	var valid				= false;
	
	if (esNumero(sValue)){
		valid = true;
	}
	
	if (!valid){
		alert("<%= FootballTeam.MSG_PRESSUPOST_INCORRECTE %>");
		pressupostSencer.value = '';
		pressupostSencer.focus();
	}
	return (valid);
}

function validarPressupostDecimal(){
	var pressupostDecimal	= document.forms[0].<%= EquipProperties.pressupostDecimal.name() %>;
	var sValue				= pressupostDecimal.value;
	var valid				= false;
	
	if (esNumero(sValue)){
		valid = true;
	}
	
	if (!valid){
		alert("<%= FootballTeam.MSG_PRESSUPOST_INCORRECTE %>");
		pressupostDecimal.value = '';
		pressupostDecimal.focus();
	}
	return (valid);
}

function esNumero(numero){
	 if (/^([0-9])*$/.test(numero)){
		return (true);
	}
	else{
		return (false);
	}
}

function validarCanvis(){
	var valid = false;
	if (confirm("Es perdran els canvis. Est segur que vol continuar?")){
		valid = true;
	}
	return (valid);
}
</script>

<body>
	<table class="titleDiv">
		<tr>
			<td>
				Modificaci equip
			</td>
		</tr>
	</table>
	<br><br>
	<%
		try {
			String url 				= null;
			String command 			= null;
			String action 			= null;
			DEquips equip 			= null;
			String nom				= null;
			String estadi			= null;
			String sou				= null;
			String souSencer		= null;
			String souDecimal		= null;
			String[] souParts 		= null;

			command = FootballTeam.SERVLET_EQUIPS;
			action = EquipsActions.ACTUALITZA_EQUIP_SAVE.getAccio();
			url = FootballTeam.SERVLET_FRONT_CONTROLLER + "?" + FootballTeam.PARAM_COMMAND + "=" + command;
			url += "&" + FootballTeam.PARAM_ACTION + "=" + action;

			session = request.getSession();
			equip = (DEquips) session.getAttribute(FootballTeam.PARAM_EQUIP);
			
			nom = equip.getNom();
			if (nom == null){
				nom = "";
			}
			
			estadi = equip.getEstadi();
			if (estadi == null){
				estadi = "";
			}
			
			if (equip.getPressupost() != null) {
				sou = String.valueOf(equip.getPressupost());
				if (sou != null && !"".equals(sou)) {
					if (sou.contains(".")) {
						sou = sou.replace(".", "#");
						souParts = sou.split("#");
						if (souParts != null && souParts.length > 1) {
							souSencer = souParts[0];
							souDecimal = souParts[1];
						} 
						else {
							souSencer = "";
							souDecimal = "";
						}
					} 
					else {
						souSencer = sou;
						souDecimal = "00";
					}
				} 
				else {
					souSencer = "";
					souDecimal = "";
				}
			}
			else{
				souSencer = "";
				souDecimal = "";
			}
			%>
			<form action="<%= response.encodeURL(url) %>" method="POST" onsubmit="return validarForm()">
			<table class="borderAll">
				<tr>
					<td class="tdLabel">Identificador:</td>
					<td>
						<input type="text" readonly name="<%= EquipProperties.idEquip.name() %>" maxlength="3" size="3" value="<%= equip.getIdEquip() %>">
					</td>
				</tr>
				
				<tr>
					<td class="tdLabel">Nom:</td>
					<td>
						<input type="text" name="<%= EquipProperties.nom.name() %>" maxlength="50" size="50" value="<%= nom %>">
					</td>
				</tr>
				
				<tr>
					<td class="tdLabel">Estadi:</td>
					<td>
						<input type="text" name="<%= EquipProperties.estadi.name() %>" maxlength="50" size="50" value="<%= estadi %>">
					</td>
				</tr>
				
				<tr>
					<td class="tdLabel">Pressupost:</td>
					<td>
						<input type="text" name="<%= EquipProperties.pressupostSencer.name() %>" maxlength="18" size="18" onchange="return validarPressupostSencer()" value="<%= souSencer %>">.
						<input type="text" name="<%= EquipProperties.pressupostDecimal.name() %>" maxlength="2" size="2" onchange="return validarPressupostDecimal()" value="<%= souDecimal %>"> euros.
					</td>
				</tr>
			
				<tr>
					<td colspan="2" align="center">
						<br>
						<input class="butStnd" type="submit" value="<%= FootballTeam.MSG_BTN_ACTUALITZAR %>">
					</td>
				</tr>
			</table>
			</form>	
			<table>
				<tr>
					<td>
						<a href="/FootballTeam/index.html" onClick="return validarCanvis()">[Inici]
					</td>
					<td>
						<a href="/FootballTeam/FootballTeam?command=EquipsServlet&action=LlistaEquips" onClick="return validarCanvis()">[Llistat equips]
					</td>
				</tr>
				
			<table>
		<%
			} catch (Exception e) {
				e.printStackTrace();
			}
		%>
			
</body>

</html>