package test.mapping.foreignkey;

import com.uoc.myframeuoc.annotations.*;

@Entity(Table = "Taula4A")
public class Entitat4A {
	@PrimaryKey(Name = "PK_Taula4A", Field = "camp1A")
	private int atribut1A;
	
	@Column(Field = "camp2A", Length = "40")
	private String atribut2A;	
	
	@ForeignKey(Name = "FK1_Taula4A", Fields = "b-atribut1B")
	private Entitat4B atribut3A;

	public int getAtribut1A() {
		return atribut1A;
	}

	public void setAtribut1A(int atribut1a) {
		atribut1A = atribut1a;
	}

	public String getAtribut2A() {
		return atribut2A;
	}

	public void setAtribut2A(String atribut2a) {
		atribut2A = atribut2a;
	}

	public Entitat4B getAtribut3A() {
		return atribut3A;
	}

	public void setAtribut3A(Entitat4B atribut3a) {
		atribut3A = atribut3a;
	}
}
